Loading...
Searching...
No Matches
ON_3fVector Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_fpoint.h>`

## Public Member Functions

| ON_3fVector ()
| ON_3fVector (float x, float y, float z)
| ON_3fVector (const ON_2fPoint &)
| ON_3fVector (const ON_3fPoint &)
| ON_3fVector (const ON_4fPoint &)
| ON_3fVector (const ON_2fVector &)
| ON_3fVector (const float *)
| ON_3fVector (const ON_2dPoint &)
| ON_3fVector (const ON_3dPoint &)
| ON_3fVector (const ON_4dPoint &)
| ON_3fVector (const ON_2dVector &)
| ON_3fVector (const ON_3dVector &)
| ON_3fVector (const double *)
| operator float * ()
| operator const float * () const
ON_3fVector & | operator= (const ON_2fPoint &)
ON_3fVector & | operator= (const ON_3fPoint &)
ON_3fVector & | operator= (const ON_4fPoint &)
ON_3fVector & | operator= (const ON_2fVector &)
ON_3fVector & | operator= (const float *)
ON_3fVector & | operator= (const ON_2dPoint &)
ON_3fVector & | operator= (const ON_3dPoint &)
ON_3fVector & | operator= (const ON_4dPoint &)
ON_3fVector & | operator= (const ON_2dVector &)
ON_3fVector & | operator= (const ON_3dVector &)
ON_3fVector & | operator= (const double *)
ON_3fVector | operator- () const
ON_3fVector & | operator*= (float)
ON_3fVector & | operator/= (float)
ON_3fVector & | operator+= (const ON_3fVector &)
ON_3fVector & | operator-= (const ON_3fVector &)
float | operator* (const ON_3fVector &) const
float | operator* (const ON_3fPoint &) const
double | operator* (const ON_3dVector &) const
ON_3fVector | operator* (int) const
ON_3fVector | operator/ (int) const
ON_3fVector | operator* (float) const
ON_3fVector | operator/ (float) const
ON_3dVector | operator* (double) const
ON_3dVector | operator/ (double) const
ON_3fVector | operator+ (const ON_3fVector &) const
ON_3fPoint | operator+ (const ON_3fPoint &) const
ON_3fVector | operator- (const ON_3fVector &) const
ON_3fPoint | operator- (const ON_3fPoint &) const
ON_3fVector | operator+ (const ON_2fVector &) const
ON_3fPoint | operator+ (const ON_2fPoint &) const
ON_3fVector | operator- (const ON_2fVector &) const
ON_3fPoint | operator- (const ON_2fPoint &) const
ON_3dVector | operator+ (const ON_3dVector &) const
ON_3dPoint | operator+ (const ON_3dPoint &) const
ON_3dVector | operator- (const ON_3dVector &) const
ON_3dPoint | operator- (const ON_3dPoint &) const
ON_3dVector | operator+ (const ON_2dVector &) const
ON_3dPoint | operator+ (const ON_2dPoint &) const
ON_3dVector | operator- (const ON_2dVector &) const
ON_3dPoint | operator- (const ON_2dPoint &) const
float | operator* (const ON_4fPoint &) const
bool | operator== (const ON_3fVector &) const
bool | operator!= (const ON_3fVector &) const
bool | operator<= (const ON_3fVector &) const
bool | operator>= (const ON_3fVector &) const
bool | operator< (const ON_3fVector &) const
bool | operator> (const ON_3fVector &) const
float & | operator[] (int)
float | operator[] (int) const
float & | operator[] (unsigned int)
float | operator[] (unsigned int) const
void | Set (float, float, float)
int | MaximumCoordinateIndex () const
double | MaximumCoordinate () const
double | LengthSquared () const
double | Length () const
bool | IsPerpendicularTo (const ON_3fVector &, double=ON_DEFAULT_ANGLE_TOLERANCE) const
double | Fuzz (double=ON_ZERO_TOLERANCE) const
void | Zero ()
void | Reverse ()
bool | Unitize ()
bool | IsUnitVector () const
bool | IsTiny (double=ON_ZERO_TOLERANCE) const
bool | IsZero () const
bool | PerpendicularTo (const ON_3fVector &)
void | Transform (const ON_Xform &)
void | Rotate (double, const ON_3fVector &)
void | Rotate (double, double, const ON_3fVector &)

## Static Public Member Functions

static const ON_3fVector & | UnitVector (int)

## Public Attributes

float | x
float | y
float | z

## Static Public Attributes

static const ON_3fVector | ZeroVector
static const ON_3fVector | XAxis
static const ON_3fVector | YAxis
static const ON_3fVector | ZAxis

## Detailed Description

Definition at line 631 of file opennurbs_fpoint.h.

## Constructor & Destructor Documentation

## ON_3fVector() [1/13]

ON_3fVector::ON_3fVector | ( |  | ) |

Referenced by IsPerpendicularTo(), operator!=(), operator*(), operator*(), operator*(), operator*=(), operator+(), operator+(), operator+=(), operator-(), operator-(), operator-(), operator-=(), operator/(), operator/(), operator/=(), operator<(), operator<=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator==(), operator>(), operator>=(), PerpendicularTo(), Rotate(), Rotate(), and UnitVector().

## ON_3fVector() [2/13]

ON_3fVector::ON_3fVector | ( | float | x,
|  | float | y,
|  | float | z )

References x, y, and z.

## ON_3fVector() [3/13]

ON_3fVector::ON_3fVector | ( | const ON_2fPoint & |  | ) |

## ON_3fVector() [4/13]

ON_3fVector::ON_3fVector | ( | const ON_3fPoint & |  | ) |

## ON_3fVector() [5/13]

ON_3fVector::ON_3fVector | ( | const ON_4fPoint & |  | ) |

## ON_3fVector() [6/13]

ON_3fVector::ON_3fVector | ( | const ON_2fVector & |  | ) |

## ON_3fVector() [7/13]

ON_3fVector::ON_3fVector | ( | const float * |  | ) |

## ON_3fVector() [8/13]

ON_3fVector::ON_3fVector | ( | const ON_2dPoint & |  | ) |

## ON_3fVector() [9/13]

ON_3fVector::ON_3fVector | ( | const ON_3dPoint & |  | ) |

## ON_3fVector() [10/13]

ON_3fVector::ON_3fVector | ( | const ON_4dPoint & |  | ) |

## ON_3fVector() [11/13]

ON_3fVector::ON_3fVector | ( | const ON_2dVector & |  | ) |

## ON_3fVector() [12/13]

ON_3fVector::ON_3fVector | ( | const ON_3dVector & |  | ) |

## ON_3fVector() [13/13]

ON_3fVector::ON_3fVector | ( | const double * |  | ) |

## Member Function Documentation

## Fuzz()

double ON_3fVector::Fuzz | ( | double | = ON_ZERO_TOLERANCE | ) | const

## IsPerpendicularTo()

bool ON_3fVector::IsPerpendicularTo | ( | const ON_3fVector & | ,
|  | double | = ON_DEFAULT_ANGLE_TOLERANCE ) const

References ON_3fVector().

## IsTiny()

bool ON_3fVector::IsTiny | ( | double | = ON_ZERO_TOLERANCE | ) | const

## IsUnitVector()

bool ON_3fVector::IsUnitVector | ( |  | ) | const

## IsZero()

bool ON_3fVector::IsZero | ( |  | ) | const

## Length()

double ON_3fVector::Length | ( |  | ) | const

## LengthSquared()

double ON_3fVector::LengthSquared | ( |  | ) | const

## MaximumCoordinate()

double ON_3fVector::MaximumCoordinate | ( |  | ) | const

## MaximumCoordinateIndex()

int ON_3fVector::MaximumCoordinateIndex | ( |  | ) | const

## operator const float *()

ON_3fVector::operator const float * | ( |  | ) | const

## operator float *()

ON_3fVector::operator float * | ( |  | ) |

## operator!=()

bool ON_3fVector::operator!= | ( | const ON_3fVector & |  | ) | const

References ON_3fVector().

## operator*() [1/7]

double ON_3fVector::operator* | ( | const ON_3dVector & |  | ) | const

## operator*() [2/7]

float ON_3fVector::operator* | ( | const ON_3fPoint & |  | ) | const

## operator*() [3/7]

float ON_3fVector::operator* | ( | const ON_3fVector & |  | ) | const

References ON_3fVector().

## operator*() [4/7]

float ON_3fVector::operator* | ( | const ON_4fPoint & |  | ) | const

## operator*() [5/7]

ON_3dVector ON_3fVector::operator* | ( | double |  | ) | const

## operator*() [6/7]

ON_3fVector ON_3fVector::operator* | ( | float |  | ) | const

References ON_3fVector().

## operator*() [7/7]

ON_3fVector ON_3fVector::operator* | ( | int |  | ) | const

References ON_3fVector().

## operator*=()

ON_3fVector & ON_3fVector::operator*= | ( | float |  | ) |

References ON_3fVector().

## operator+() [1/8]

ON_3dPoint ON_3fVector::operator+ | ( | const ON_2dPoint & |  | ) | const

## operator+() [2/8]

ON_3dVector ON_3fVector::operator+ | ( | const ON_2dVector & |  | ) | const

## operator+() [3/8]

ON_3fPoint ON_3fVector::operator+ | ( | const ON_2fPoint & |  | ) | const

## operator+() [4/8]

ON_3fVector ON_3fVector::operator+ | ( | const ON_2fVector & |  | ) | const

References ON_3fVector().

## operator+() [5/8]

ON_3dPoint ON_3fVector::operator+ | ( | const ON_3dPoint & |  | ) | const

## operator+() [6/8]

ON_3dVector ON_3fVector::operator+ | ( | const ON_3dVector & |  | ) | const

## operator+() [7/8]

ON_3fPoint ON_3fVector::operator+ | ( | const ON_3fPoint & |  | ) | const

## operator+() [8/8]

ON_3fVector ON_3fVector::operator+ | ( | const ON_3fVector & |  | ) | const

References ON_3fVector().

## operator+=()

ON_3fVector & ON_3fVector::operator+= | ( | const ON_3fVector & |  | ) |

References ON_3fVector().

## operator-() [1/9]

ON_3fVector ON_3fVector::operator- | ( |  | ) | const

References ON_3fVector().

## operator-() [2/9]

ON_3dPoint ON_3fVector::operator- | ( | const ON_2dPoint & |  | ) | const

## operator-() [3/9]

ON_3dVector ON_3fVector::operator- | ( | const ON_2dVector & |  | ) | const

## operator-() [4/9]

ON_3fPoint ON_3fVector::operator- | ( | const ON_2fPoint & |  | ) | const

## operator-() [5/9]

ON_3fVector ON_3fVector::operator- | ( | const ON_2fVector & |  | ) | const

References ON_3fVector().

## operator-() [6/9]

ON_3dPoint ON_3fVector::operator- | ( | const ON_3dPoint & |  | ) | const

## operator-() [7/9]

ON_3dVector ON_3fVector::operator- | ( | const ON_3dVector & |  | ) | const

## operator-() [8/9]

ON_3fPoint ON_3fVector::operator- | ( | const ON_3fPoint & |  | ) | const

## operator-() [9/9]

ON_3fVector ON_3fVector::operator- | ( | const ON_3fVector & |  | ) | const

References ON_3fVector().

## operator-=()

ON_3fVector & ON_3fVector::operator-= | ( | const ON_3fVector & |  | ) |

References ON_3fVector().

## operator/() [1/3]

ON_3dVector ON_3fVector::operator/ | ( | double |  | ) | const

## operator/() [2/3]

ON_3fVector ON_3fVector::operator/ | ( | float |  | ) | const

References ON_3fVector().

## operator/() [3/3]

ON_3fVector ON_3fVector::operator/ | ( | int |  | ) | const

References ON_3fVector().

## operator/=()

ON_3fVector & ON_3fVector::operator/= | ( | float |  | ) |

References ON_3fVector().

## operator<()

bool ON_3fVector::operator< | ( | const ON_3fVector & |  | ) | const

References ON_3fVector().

## operator<=()

bool ON_3fVector::operator<= | ( | const ON_3fVector & |  | ) | const

References ON_3fVector().

## operator=() [1/11]

ON_3fVector & ON_3fVector::operator= | ( | const double * |  | ) |

References ON_3fVector().

## operator=() [2/11]

ON_3fVector & ON_3fVector::operator= | ( | const float * |  | ) |

References ON_3fVector().

## operator=() [3/11]

ON_3fVector & ON_3fVector::operator= | ( | const ON_2dPoint & |  | ) |

References ON_3fVector().

## operator=() [4/11]

ON_3fVector & ON_3fVector::operator= | ( | const ON_2dVector & |  | ) |

References ON_3fVector().

## operator=() [5/11]

ON_3fVector & ON_3fVector::operator= | ( | const ON_2fPoint & |  | ) |

References ON_3fVector().

## operator=() [6/11]

ON_3fVector & ON_3fVector::operator= | ( | const ON_2fVector & |  | ) |

References ON_3fVector().

## operator=() [7/11]

ON_3fVector & ON_3fVector::operator= | ( | const ON_3dPoint & |  | ) |

References ON_3fVector().

## operator=() [8/11]

ON_3fVector & ON_3fVector::operator= | ( | const ON_3dVector & |  | ) |

References ON_3fVector().

## operator=() [9/11]

ON_3fVector & ON_3fVector::operator= | ( | const ON_3fPoint & |  | ) |

References ON_3fVector().

## operator=() [10/11]

ON_3fVector & ON_3fVector::operator= | ( | const ON_4dPoint & |  | ) |

References ON_3fVector().

## operator=() [11/11]

ON_3fVector & ON_3fVector::operator= | ( | const ON_4fPoint & |  | ) |

References ON_3fVector().

## operator==()

bool ON_3fVector::operator== | ( | const ON_3fVector & |  | ) | const

References ON_3fVector().

## operator>()

bool ON_3fVector::operator> | ( | const ON_3fVector & |  | ) | const

References ON_3fVector().

## operator>=()

bool ON_3fVector::operator>= | ( | const ON_3fVector & |  | ) | const

References ON_3fVector().

## operator[]() [1/4]

float & ON_3fVector::operator[] | ( | int |  | ) |

## operator[]() [2/4]

float ON_3fVector::operator[] | ( | int |  | ) | const

## operator[]() [3/4]

float & ON_3fVector::operator[] | ( | unsigned int |  | ) |

## operator[]() [4/4]

float ON_3fVector::operator[] | ( | unsigned int |  | ) | const

## PerpendicularTo()

bool ON_3fVector::PerpendicularTo | ( | const ON_3fVector & |  | ) |

References ON_3fVector().

## Reverse()

void ON_3fVector::Reverse | ( |  | ) |

## Rotate() [1/2]

void ON_3fVector::Rotate | ( | double | ,
|  | const ON_3fVector & | )

References ON_3fVector().

## Rotate() [2/2]

void ON_3fVector::Rotate | ( | double | ,
|  | double | ,
|  | const ON_3fVector & | )

References ON_3fVector().

## Set()

void ON_3fVector::Set | ( | float | ,
|  | float | ,
|  | float | )

## Transform()

void ON_3fVector::Transform | ( | const ON_Xform & |  | ) |

## Unitize()

bool ON_3fVector::Unitize | ( |  | ) |

## UnitVector()

const ON_3fVector & ON_3fVector::UnitVector | ( | int |  | ) |

static

References ON_3fVector().

## Zero()

void ON_3fVector::Zero | ( |  | ) |

## Member Data Documentation

## x

float ON_3fVector::x

Definition at line 634 of file opennurbs_fpoint.h.

Referenced by ON_3fVector().

## XAxis

const ON_3fVector ON_3fVector::XAxis

static

Definition at line 637 of file opennurbs_fpoint.h.

## y

float ON_3fVector::y

Definition at line 634 of file opennurbs_fpoint.h.

Referenced by ON_3fVector().

## YAxis

const ON_3fVector ON_3fVector::YAxis

static

Definition at line 638 of file opennurbs_fpoint.h.

## z

float ON_3fVector::z

Definition at line 634 of file opennurbs_fpoint.h.

Referenced by ON_3fVector().

## ZAxis

const ON_3fVector ON_3fVector::ZAxis

static

Definition at line 639 of file opennurbs_fpoint.h.

## ZeroVector

const ON_3fVector ON_3fVector::ZeroVector

static

Definition at line 636 of file opennurbs_fpoint.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_fpoint.h